{
  "default_text": {
    "font_name": "sans-serif",
    "font_size": 12,
    "fit_text": "height"
  },
  "default_pict": {
    "margin": "draw.margin(4)",
    "scaling": "fit",
    "horizontal_align": "center",
    "vertical_align": "middle",
    "stroke_width": 3
  },
  "default_line": {
    "stroke_color": "black",
    "stroke_width": 1
  },
  "default_rect": {
    "stroke_color": "black",
    "stroke_width": 1
  },
  "delivery_address_hdr": {
    "parent": "default_text",
    "margin": "",
    "margin.left": 2
  },
  "delivery_address": {
    "parent": "delivery_address_hdr",
    "font_size": "36",
    "margin.top": "",
    "text_wrap": "word"
  },
  "row_hdr": {
    "parent": "default_text",
    "vertical_align": "middle",
    "margin": "",
    "margin.left": "2"
  },
  "row": {
    "parent": "row_hdr",
    "margin.left": "60",
    "font_size": "16"
  },
  "sales_order_id_hdr": {
    "parent": "delivery_address_hdr"
  },
  "sales_order_id": {
    "parent": "default_text",
    "font_size": "50",
    "font_weight": "bold",
    "horizontal_align": "center",
    "vertical_align": "middle"
  },
  "dispatch_hdr": {
    "parent": "delivery_address_hdr"
  },
  "dispatch": {
    "parent": "default_text",
    "font_size": "42",
    "font_weight": "bold",
    "horizontal_align": "center",
    "vertical_align": "middle"
  },
  "number_of_pallets": {
    "parent": "default_text",
    "font_size": "60",
    "font_weight": "bold",
    "horizontal_align": "center",
    "vertical_align": "middle"
  },
  "number_of_pallets_hdr": {
    "parent": "number_of_pallets",
    "font_size": "40",
    "font_weight": "",
    "horizontal_align": "left",
    "vertical_align": "middle"
  },
  "number_of_pallets_total": {
    "parent": "number_of_pallets",
    "font_size": "30",
    "font_weight": "bold",
    "horizontal_align": "center",
    "vertical_align": "middle"
  },
  "box_hdr": {
    "parent": "default_text",
    "margin": {
      "left": 2,
      "top": "box_hdr.font_size"
    }
  },
  "paper_rect": {
    "parent": "default_rect",
    "stroke_color": {
      "r": 0,
      "b": 0.9,
      "g": 0,
      "a": 0.9
    }
  },
  "box2": {
    "parent": "box_hdr",
    "font_size": "28"
  },
  "box1": {
    "parent": "box2",
    "font_size": "40",
    "font_weight": "bold"
  }
}
